summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorfusion8092016-06-25 17:40:02 +1000
committerfusion8092016-06-25 17:40:02 +1000
commite935358b56b806cef574b263b3cf1ca263aa4899 (patch)
tree79e201d91d8f76b23bbac1b8c3961ab5c55d0bcf
parentbe2d871e677ef9df214488618972e3019bc12da7 (diff)
downloadaur-e935358b56b806cef574b263b3cf1ca263aa4899.tar.gz
Splitting package into several smaller packages and a meta-package
-rw-r--r--.SRCINFO98
-rw-r--r--.gitignore5
-rw-r--r--PKGBUILD389
3 files changed, 459 insertions, 33 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 37ad9ea7f1d..5b2e2a3e386 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,22 +1,104 @@
# Generated by mksrcinfo v8
-# Thu Feb 4 21:03:19 UTC 2016
+# Sat Jun 25 07:40:00 UTC 2016
pkgbase = moksha-modules-extra-git
pkgdesc = Extra Moksha modules
- pkgver = 9ab20a0
+ pkgver = b9eacce
pkgrel = 1
url = http://mokshadesktop.org
arch = i686
arch = x86_64
license = BSD
+ makedepends = moksha-module-emprint-git
depends = moksha
- depends = moksha-module-emprint-git
- conflicts = moksha-module-cpu-git
- conflicts = moksha-module-deskshow-git
- conflicts = moksha-module-diskio-git
- conflicts = moksha-module-mem-git
- conflicts = moksha-module-net-git
source = moksha-modules-extra::git+https://github.com/JeffHoogland/moksha-modules-extra.git
sha256sums = SKIP
pkgname = moksha-modules-extra-git
+ pkgdesc = Moksha modules meta-package
+ license = GPL3
+ depends = moksha-module-alarm-git
+ depends = moksha-module-calendar-git
+ depends = moksha-module-cpu-git
+ depends = moksha-module-deskshow-git
+ depends = moksha-module-diskio-git
+ depends = moksha-module-engage-git
+ depends = moksha-module-flame-git
+ depends = moksha-module-forecasts-git
+ depends = moksha-module-mail-git
+ depends = moksha-module-mem-git
+ depends = moksha-module-net-git
+ depends = moksha-module-news-git
+ depends = moksha-module-penguins-git
+ depends = moksha-module-photo-git
+ depends = moksha-module-places-git
+ depends = moksha-module-rain-git
+ depends = moksha-module-screenshot-git
+ depends = moksha-module-share-git
+ depends = moksha-module-slideshow-git
+ depends = moksha-module-snow-git
+ depends = moksha-module-tclock-git
+ depends = moksha-module-trash-git
+ depends = moksha-module-winlist-ng-git
+ depends = moksha-module-winselector-git
+
+pkgname = moksha-module-alarm-git
+ pkgdesc = Moksha alarm module built from git sources
+
+pkgname = moksha-module-calendar-git
+ pkgdesc = Moskha calendar module built from git sources
+
+pkgname = moksha-module-engage-git
+ pkgdesc = Moksha engage module built from git sources
+
+pkgname = moksha-module-flame-git
+ pkgdesc = Moksha flame module built from git sources
+
+pkgname = moksha-module-forecasts-git
+ pkgdesc = Moksha forecasts module built from git sources
+
+pkgname = moksha-module-mail-git
+ pkgdesc = Moksha mail module built from git sources
+
+pkgname = moksha-module-news-git
+ pkgdesc = Moksha news module built from git sources
+
+pkgname = moksha-module-penguins-git
+ pkgdesc = Moksha penguins module built from git sources
+
+pkgname = moksha-module-photo-git
+ pkgdesc = Moksha photo module built from git sources
+
+pkgname = moksha-module-places-git
+ pkgdesc = Moksha places module built from git sources
+
+pkgname = moksha-module-rain-git
+ pkgdesc = Moksha rain module built from git sources
+
+pkgname = moksha-module-screenshot-git
+ pkgdesc = Moksha screenshot module built from git sources
+ depends = moksha
+ depends = moksha-module-emprint-git
+
+pkgname = moksha-module-share-git
+ pkgdesc = Moksha share module built from git sources
+ depends = moksha
+ depends = libbsd
+
+pkgname = moksha-module-slideshow-git
+ pkgdesc = Moksha slideshow module built from git sources
+
+pkgname = moksha-module-snow-git
+ pkgdesc = Moksha snow module built from git sources
+
+pkgname = moksha-module-tclock-git
+ pkgdesc = Moksha tclock module built from git sources
+
+pkgname = moksha-module-trash-git
+ pkgdesc = Moksha trash module built from git sources
+
+pkgname = moksha-module-winlist-ng-git
+ pkgdesc = Moksha winlist-ng module built from git sources
+
+pkgname = moksha-module-winselector-git
+ pkgdesc = Moksha winselect module package - built from git sources
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..114dc7c70b8
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,5 @@
+moksha-modules-extra
+moksha-module-extra-git
+pkg
+src
+*.xz
diff --git a/PKGBUILD b/PKGBUILD
index 6983b30c1a0..83423deb02c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,30 +1,28 @@
-pkgname=moksha-modules-extra-git
-pkgver=9ab20a0
+pkgname=('moksha-modules-extra-git' 'moksha-module-alarm-git' 'moksha-module-calendar-git' 'moksha-module-engage-git' 'moksha-module-flame-git' 'moksha-module-forecasts-git' 'moksha-module-mail-git' 'moksha-module-news-git' 'moksha-module-penguins-git' 'moksha-module-photo-git' 'moksha-module-places-git' 'moksha-module-rain-git' 'moksha-module-screenshot-git' 'moksha-module-share-git' 'moksha-module-slideshow-git' 'moksha-module-snow-git' 'moksha-module-tclock-git' 'moksha-module-trash-git' 'moksha-module-winlist-ng-git' 'moksha-module-winselector-git')
+pkgver=b9eacce
pkgrel=1
_pkgname=moksha-modules-extra
pkgdesc="Extra Moksha modules"
arch=('i686' 'x86_64')
url="http://mokshadesktop.org"
license=('BSD')
-depends=('moksha' 'moksha-module-emprint-git')
-conflicts=('moksha-module-cpu-git' 'moksha-module-deskshow-git' 'moksha-module-diskio-git' 'moksha-module-mem-git' 'moksha-module-net-git')
+depends=('moksha')
+makedepends=('moksha-module-emprint-git')
_module_list=(
'alarm'
'calendar'
- 'cpu'
- 'deskshow'
- 'diskio'
'engage'
'flame'
'forecasts'
'mail'
- 'mem'
- 'net'
+ 'news'
'penguins'
'photo'
'places'
'rain'
'screenshot'
+ 'share'
+ 'slideshow'
'snow'
'tclock'
'trash'
@@ -43,26 +41,367 @@ build() {
for _module in ${_module_list[@]}; do
cd "${srcdir}/${_pkgname}/${_module}"
msg2 "Building $_module"
+ chmod +x autogen.sh
+ if [[ -f configure ]]; then
+ chmod +x configure
+ fi
./autogen.sh \
--prefix=/usr
make
done
}
-package() {
- for _module in ${_module_list[@]}; do
- cd "${srcdir}/${_pkgname}/${_module}"
- msg2 "Installing $_module"
- make DESTDIR="${pkgdir}" install
-
-# install text files
- [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/$_module/ChangeLog" || true
- [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/$_module/NEWS" || true
- [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/$_module/README" || true
-
-# install license files
- [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/$_module/AUTHORS" || true
- [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/$_module/COPYING" || true
- [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/$_module/COPYING-PLAIN" || true
- done
+package_moksha-module-alarm-git() {
+ pkgdesc="Moksha alarm module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/alarm"
+ msg2 "Installing alarm"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-calendar-git() {
+ pkgdesc="Moskha calendar module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/cpu"
+ msg2 "Installing cpu"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-engage-git() {
+ pkgdesc="Moksha engage module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/engage"
+ msg2 "Installing engage"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-flame-git() {
+ pkgdesc="Moksha flame module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/flame"
+ msg2 "Installing flame"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-forecasts-git() {
+ pkgdesc="Moksha forecasts module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/forecasts"
+ msg2 "Installing forecasts"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-mail-git() {
+ pkgdesc="Moksha mail module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/mail"
+ msg2 "Installing mail"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-news-git() {
+ pkgdesc="Moksha news module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/news"
+ msg2 "Installing news"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-penguins-git() {
+ pkgdesc="Moksha penguins module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/penguins"
+ msg2 "Installing penguins"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-photo-git() {
+ pkgdesc="Moksha photo module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/photo"
+ msg2 "Installing photo"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-places-git() {
+ pkgdesc="Moksha places module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/places"
+ msg2 "Installing places"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-rain-git() {
+ pkgdesc="Moksha rain module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/rain"
+ msg2 "Installing rain"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/rain/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/rain/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/rain/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/rain/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/rain/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/rain/COPYING-PLAIN" || true
+}
+
+package_moksha-module-screenshot-git() {
+ pkgdesc="Moksha screenshot module built from git sources"
+ depends+=('moksha-module-emprint-git')
+
+ cd "${srcdir}/${_pkgname}/screenshot"
+ msg2 "Installing screenshot"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-share-git() {
+ pkgdesc="Moksha share module built from git sources"
+ depends+=('libbsd')
+
+ cd "${srcdir}/${_pkgname}/share"
+ msg2 "Installing share"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-slideshow-git() {
+ pkgdesc="Moksha slideshow module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/slideshow"
+ msg2 "Installing slideshow"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-module-snow-git() {
+ pkgdesc="Moksha snow module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/snow"
+ msg2 "Installing snow"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+
+package_moksha-module-tclock-git() {
+ pkgdesc="Moksha tclock module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/tclock"
+ msg2 "Installing tclock"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+
+package_moksha-module-trash-git() {
+ pkgdesc="Moksha trash module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/trash"
+ msg2 "Installing trash"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+
+package_moksha-module-winlist-ng-git() {
+ pkgdesc="Moksha winlist-ng module built from git sources"
+
+ cd "${srcdir}/${_pkgname}/winlist-ng"
+ msg2 "Installing winlist-ng"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+
+package_moksha-module-winselector-git() {
+ pkgdesc="Moksha winselect module package - built from git sources"
+
+ cd "${srcdir}/${_pkgname}/winselector"
+ msg2 "Installing winselector"
+ make DESTDIR="${pkgdir}" install
+
+# install text files
+ [[ -e ChangeLog ]] && install -Dm644 ChangeLog "${pkgdir}/usr/share/doc/${pkgname%-*}/ChangeLog" || true
+ [[ -e NEWS ]] && install -Dm644 NEWS "${pkgdir}/usr/share/doc/${pkgname%-*}/NEWS" || true
+ [[ -e README ]] && install -Dm644 README "${pkgdir}/usr/share/doc/${pkgname%-*}/README" || true
+
+# install license files
+ [[ -e AUTHORS ]] && install -Dm644 AUTHORS "${pkgdir}/usr/share/licenses/$pkgname/AUTHORS" || true
+ [[ -e COPYING ]] && install -Dm644 COPYING "${pkgdir}/usr/share/licenses/$pkgname/COPYING" || true
+ [[ -e COPYING-PLAIN ]] && install -Dm644 COPYING-PLAIN "${pkgdir}/usr/share/licenses/$pkgname/COPYING-PLAIN" || true
+}
+
+package_moksha-modules-extra-git() {
+ depends=('moksha-module-alarm-git' 'moksha-module-calendar-git' 'moksha-module-cpu-git' 'moksha-module-deskshow-git' 'moksha-module-diskio-git' 'moksha-module-engage-git' 'moksha-module-flame-git' 'moksha-module-forecasts-git' 'moksha-module-mail-git' 'moksha-module-mem-git' 'moksha-module-net-git' 'moksha-module-news-git' 'moksha-module-penguins-git' 'moksha-module-photo-git' 'moksha-module-places-git' 'moksha-module-rain-git' 'moksha-module-screenshot-git' 'moksha-module-share-git' 'moksha-module-slideshow-git' 'moksha-module-snow-git' 'moksha-module-tclock-git' 'moksha-module-trash-git' 'moksha-module-winlist-ng-git' 'moksha-module-winselector-git')
+ pkgdesc="Moksha modules meta-package"
+
+ license=('GPL3')
}